if select(2, UnitClass('player')) ~= "MONK" then
	DisableAddOn("ChiNotifier")
	return
end

local frame, events = CreateFrame("Frame"), {}
local texture = frame:CreateTexture()
frame:SetPoint("CENTER",0,120)
frame:SetWidth(192)
frame:SetHeight(96)
texture:SetAllPoints(frame)
texture:SetTexture("Interface\\Addons\\ChiNotifier\\chi.tga")
frame:Hide()

function ChiNotifier(input)
	local value = tonumber(input)

	if not value or value < 1 or value > 5 then
		print ("|cffffff00Usage: /cpn 1-5")
		print ("|cffffff00Sets the number of Chi you must have for the frame to be visible.")
		print ("|cffffff00Current threshold: "..ChiCount)
	else
		ChiCount = value
		print ("|cffffff00Chi threshold set to "..value)
	end
end

function events:PLAYER_ENTERING_WORLD(...)
	frame:Hide();

	if not ChiCount then
		ChiCount = 4
	end
end

function events:UNIT_POWER(source,type)
	if source == "player" and type == "LIGHT_FORCE" then
		local power = UnitPower("player", 12)

		if power >= ChiCount then
			frame:Show()
		else
			frame:Hide()
		end
	end
end

frame:SetScript("OnEvent", function(self,event,...) events[event](self,...) end)

for k,v in pairs(events) do
	frame:RegisterEvent(k)
end

SLASH_CHINOTIFIER1 = '/cpn'
SlashCmdList["CHINOTIFIER"] = ChiNotifier